Autodesk.Autocad.Geometry.Point3d

Bonjour,
Je veux obtenir les points Dynamo depuis les coordonnées Autodesk.Autocad.Geometry.Point3d

Je n’ai pas trouvé les nœuds pour ce type de points 3D. J’imagine qu’il faut un script Python pour extraire ou convertir en points Dynamo.
Merci pour toute suggestion.

Bonjour,

Je ne connais pas de nœud pour faire ça automatiquement, mais ce n’est pas long à faire avec des nœuds basiques. Voici une proposition :

Il y a probablement un moyen plus simple d’y faire avec du Python, mais je ne m’y connais pas assez.

1 J'aime

Bonjour,
Une autre idée est d’utiliser le nœud CAD.PointsFromCADLayers du package BimorphNodes.

Salut
voici un exemple

import sys
import clr
clr.AddReference('ProtoGeometry')
import Autodesk
from Autodesk.DesignScript.Geometry import *
import Autodesk.DesignScript.Geometry as DS
# Add Assemblies for AutoCAD and Civil3D
clr.AddReference('AcMgd')
clr.AddReference('AcCoreMgd')
clr.AddReference('AcDbMgd')
clr.AddReference('AecBaseMgd')
clr.AddReference('AecPropDataMgd')
clr.AddReference('AeccDbMgd')

# Import references from AutoCAD
from Autodesk.AutoCAD.Runtime import *
from Autodesk.AutoCAD.ApplicationServices import *
from Autodesk.AutoCAD.EditorInput import *
from Autodesk.AutoCAD.DatabaseServices import *
from Autodesk.AutoCAD.Geometry import *

# Import references from Civil3D
from Autodesk.Civil.ApplicationServices import *
from Autodesk.Civil.DatabaseServices import *


def ConvertToDSPoint(cadPt):
	pt = DS.Point.ByCoordinates(cadPt.X, cadPt.Y, cadPt.Z)
	return pt
# The inputs to this node will be stored as a list in the IN variables
lstCadPoint = IN[0]

OUT = [ConvertToDSPoint(x) for x in IN[0]]

@ahalim on est dans un contexte Civil3D :wink:

5 J'aime

C’est exactement ça que j’ai cherché !
La force de Python est incontestable et ton exemple est déterminante pour m’initier dans cette partie de la programmation.
Merci.

Je n’ai pas vu la catégorie :smiley:
Top comme d’habitude !

Je sais pas si tu l’as testé mais dans le C3D toolkit on a la catégorie DB point qui permettrait de récuperer cette info normalement
image

1 J'aime

Bonjour David,

En fait j’ai voulu avoir les points d’insertion pour les MText sélectionnés :

Merci quand même pour ta réponse.

1 J'aime